val http_pattern = """\"https?://[^\"]*\"""".r
val my_urls = """urbanc""".r
val email_pattern = 
  """([a-z0-9_\.-]+)@([\da-z\.-]+)\.([a-z\.]{2,6})""".r

def crawl(url: String, n: Int) : Unit = {
  if (n == 0) ()
  else {
    println(s"Visiting: $n $url")
    val page = get_page(url)
    println(email_pattern.findAllIn(page).mkString("\n"))
    for (u <- get_all_URLs(page)) 
      crawl(u, n - 1)
  }
}
